#include <iostream>

using namespace std;

int main()
{

    ios::sync_with_stdio(0);
    cin.tie(0);
    int T,N,M,K,i=1;
    cin >> T;
    while(T)
    {
        T--;
        cin >> N >> M >> K;
        while(M)
        {
            N-=K;
            M-=K*i;
            if(N>0 && M<=0)
            {
                cout << "Nie \n";
                break;
            }
            if(N<=0 && M>=0)
            {
                cout << "Tak \n";
                break;
            }
            if(N<0 && M<0)
            {
                if(M<=N*i)
                    cout << "Tak \n";
                else
                    cout << "Nie \n";
            }
            i++;
        }
    }

    return 0;
}